Skip to content
Webfold Docs
Esc
↑↓navigate↵open⌘Jpreview

Create a collection

POST/v1/collections
Authorization
AuthorizationBearer token (JWT) · headerrequired

Bearer API key issued for your account. Send Authorization: Bearer <key>.

Request body
requiredapplication/json
namestringrequired
descriptionstring
Responses
201

Created collection

idstringrequired
namestringrequired
descriptionstringrequired
ownerstringrequired
created_atstring<date-time>required
updated_atstring<date-time>required
400

Bad request

string
401

Missing or invalid bearer token

string
403

Billing or plan entitlement blocked the request

string
Try it
Server
Authorization
Bodyapplication/json
Request
curl -X POST 'https://api.webfold.ai/v1/collections' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "Reading List",
  "description": "Articles to read"
}'
Response
{
  "id": "col_1",
  "name": "Reading List",
  "description": "Articles to read",
  "owner": "dev",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}